Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jasig.portal
Class PortalEventSource

    java.lang.Object
      org.jasig.portal.PortalEventSource

    public class PortalEventSource

extends java.lang.Object

Represents the source of the PortalEvent.

Version:
  $Revision: 1.1 $ $Date: 2004/12/14 21:23:18 $
Author:
  andrew.petro@yale.edu

Field Summary
`static PortalEventSource` | `FRAMEWORK_GENERATED` Framework-generated events, such as sessions ending and unsubscription from channels.
`static PortalEventSource` | `LAYOUT_GENERATED` The user layout as source of events, for example control actuation events (button presses) and channel window manipulation events (minimize and maximize).
`private java.lang.String` | `typeName` String representation of the type of event source.

Constructor Summary
`private` | `PortalEventSource(java.lang.String name)`

Method Summary
`boolean` | `equals(java.lang.Object other)` Two PortalEventSources are equal if their typeNames are equal.
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### LAYOUT_GENERATED

    public static final PortalEventSource LAYOUT_GENERATED

  The user layout as source of events, for example control actuation events (button presses) and channel window manipulation events (minimize and maximize).

### FRAMEWORK_GENERATED

    public static final PortalEventSource FRAMEWORK_GENERATED

  Framework-generated events, such as sessions ending and unsubscription from channels.

### typeName

    private final java.lang.String typeName

  String representation of the type of event source.

Constructor Detail

### PortalEventSource

    private PortalEventSource(java.lang.String name)

Method Detail

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### equals

    public boolean equals(java.lang.Object other)

  Two PortalEventSources are equal if their typeNames are equal.

  Overrides:
    `equals` in class `java.lang.Object`
  Parameters:
    `other` - an object for comparison
  Returns:
    true if other is a PortalEventSource with the same typeName.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD